Bug 1661866 - Review Request: smc-meera-fonts - Open Type Fonts for Malayalam script
Summary: Review Request: smc-meera-fonts - Open Type Fonts for Malayalam script
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Parag AN(पराग)
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-12-24 06:31 UTC by vishalvvr
Modified: 2019-01-22 06:56 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-01-19 05:32:04 UTC
panemade: fedora-review+


Attachments (Terms of Use)

Description vishalvvr 2018-12-24 06:31:17 UTC
Spec URL: https://copr-be.cloud.fedoraproject.org/results/vishalvvr/smc-fonts/fedora-29-x86_64/00839543-smc-meera-fonts/smc-meera-fonts.spec

SRPM URL: https://copr-be.cloud.fedoraproject.org/results/vishalvvr/smc-fonts/fedora-29-x86_64/00839543-smc-meera-fonts/smc-meera-fonts-7.0.1-1.fc29.src.rpm

Description: Meera font is a Malayalam font designed by Hussain K H and 
maintained by Swathanthra Malayalam Computing project. This 
is a comprehensive Malayalam font with 1000+ glyphs for all 
common Malayalam ligatures.

Fedora Account System Username: vishalvvr

Comment 1 Parag AN(पराग) 2018-12-28 12:50:06 UTC
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


Suggestions:
1) Version number in ttf does not match with released tarball, though not a blocker but good to ask upstream to keep it in sync
2) Maybe you just want to say "Font" in Summary as its only one font file provided by this package

===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "SIL Open Font License (v1.1)", "*No copyright* SIL Open Font
     License (v1.1)", "Unknown or generated". 14 files have unknown
     license. Detailed output of licensecheck in /home/parag/1661866-smc-
     meera-fonts/licensecheck.txt
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[x]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
==> Provides are not needed as we are just splitting original package

[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 1 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: %config files are marked noreplace or the reason is justified.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: No %config files under /usr.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.

fonts:
[x]: Run repo-font-audit on all fonts in package.

[x]: Run ttname on all fonts in package.
     Note: ttname analyze results in fonts/ttname.log.


Rpmlint
-------
Checking: smc-meera-fonts-7.0.1-1.fc30.noarch.rpm
          smc-meera-fonts-7.0.1-1.fc30.src.rpm
smc-meera-fonts.noarch: W: obsolete-not-provided smc-fonts-common
2 packages and 0 specfiles checked; 0 errors, 1 warnings.




Rpmlint (installed packages)
----------------------------
sh: /usr/bin/python: No such file or directory
smc-meera-fonts.noarch: W: invalid-url URL: https://gitlab.com/smc/fonts/meera <urlopen error [Errno -2] Name or service not known>
smc-meera-fonts.noarch: W: obsolete-not-provided smc-fonts-common
1 packages and 0 specfiles checked; 0 errors, 2 warnings.



Requires
--------
smc-meera-fonts (rpmlib, GLIBC filtered):
    config(smc-meera-fonts)
    fontpackages-filesystem



Provides
--------
smc-meera-fonts:
    config(smc-meera-fonts)
    font(:lang=aa)
    font(:lang=an)
    font(:lang=ay)
    font(:lang=bi)
    font(:lang=br)
    font(:lang=ch)
    font(:lang=da)
    font(:lang=de)
    font(:lang=en)
    font(:lang=es)
    font(:lang=eu)
    font(:lang=fil)
    font(:lang=fj)
    font(:lang=fo)
    font(:lang=fur)
    font(:lang=fy)
    font(:lang=gd)
    font(:lang=gl)
    font(:lang=gv)
    font(:lang=ho)
    font(:lang=ht)
    font(:lang=ia)
    font(:lang=id)
    font(:lang=ie)
    font(:lang=io)
    font(:lang=is)
    font(:lang=it)
    font(:lang=jv)
    font(:lang=kj)
    font(:lang=kwm)
    font(:lang=lb)
    font(:lang=li)
    font(:lang=mg)
    font(:lang=ml)
    font(:lang=ms)
    font(:lang=nb)
    font(:lang=nds)
    font(:lang=ng)
    font(:lang=nl)
    font(:lang=nn)
    font(:lang=no)
    font(:lang=nr)
    font(:lang=oc)
    font(:lang=om)
    font(:lang=pap-an)
    font(:lang=pap-aw)
    font(:lang=pt)
    font(:lang=rm)
    font(:lang=rn)
    font(:lang=rw)
    font(:lang=sc)
    font(:lang=sg)
    font(:lang=sma)
    font(:lang=smj)
    font(:lang=sn)
    font(:lang=so)
    font(:lang=sq)
    font(:lang=ss)
    font(:lang=st)
    font(:lang=su)
    font(:lang=sv)
    font(:lang=sw)
    font(:lang=tl)
    font(:lang=ts)
    font(:lang=uz)
    font(:lang=vo)
    font(:lang=wa)
    font(:lang=xh)
    font(:lang=yap)
    font(:lang=za)
    font(:lang=zu)
    font(meera)
    metainfo()
    metainfo(smc-meera.metainfo.xml)
    smc-meera-fonts



Source checksums
----------------
https://gitlab.com/smc/fonts/meera/-/archive/Version7.0.1/meera-Version7.0.1.tar.gz :
  CHECKSUM(SHA256) this package     : 4b94fa192e88c9f861189881100914bb0aedf99d69ac3df09df61715d942c13f
  CHECKSUM(SHA256) upstream package : 4b94fa192e88c9f861189881100914bb0aedf99d69ac3df09df61715d942c13f


Generated by fedora-review 0.6.1 (f03e4e7) last change: 2016-05-02
Command line :/usr/bin/fedora-review -b 1661866 -m fedora-rawhide-x86_64
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, fonts, Shell-api
Disabled plugins: Java, C/C++, Python, SugarActivity, Ocaml, Perl, Haskell, R, PHP
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6

APPROVED

Comment 2 Gwyn Ciesla 2019-01-15 14:22:05 UTC
(fedscm-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/smc-meera-fonts

Comment 3 Kevin Fenzi 2019-01-18 21:09:58 UTC
Can you please hurry and import and build this? The old smc-fonts was retired, so now rawhide composes are breaking because smc-meera-fonts can't be found. ;(

Comment 4 vishalvvr 2019-01-19 05:32:04 UTC
smc-meera-fonts has been built for rawhide

Comment 5 vishalvvr 2019-01-22 06:56:18 UTC
New build created in upstream therefore closing this bug.


Note You need to log in before you can comment on or make changes to this bug.